Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionFrame Class Reference

The QStyleOptionFrame class is used to describe the parameters for drawing a frame. More...

    #include <QStyleOptionFrame>

Inherits QStyleOption.

- List of all members, including inherited members

### Read-Only Properties

- lineWidth : int
- midLineWidth : int

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionFrame ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionFrame class is used to describe the parameters for drawing a frame.

QStyleOptionFrame is used for drawing several built-in Qt widget, including QFrame, QGroupBox, QLineEdit, and QMenu.

## Property Documentation

### lineWidth : int

This property holds the line width for drawing the panel.

### midLineWidth : int

This property holds the mid-line width for drawing the panel. This is usually used in drawing sunken or raised frames.

## Member Function Documentation

### QStyleOptionFrame::QStyleOptionFrame ()

Constructs a QStyleOptionFrame. The members variables are initialized to default values.